> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mountthor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Virtual Machine

> Deletes one Virtual Machine by name from the tenant namespace.



## OpenAPI

````yaml /api-reference/customer-api.v1.openapi.json delete /v1/compute/apis/compute.mountthor.com/v1alpha1/namespaces/{namespace}/virtualmachines/{name}
openapi: 3.1.0
info:
  title: Mount Thor Customer API
  version: v1
servers:
  - description: Mount Thor customer API edge
    url: https://api.mountthor.com
security: []
paths:
  /v1/compute/apis/compute.mountthor.com/v1alpha1/namespaces/{namespace}/virtualmachines/{name}:
    delete:
      tags:
        - compute
      summary: Delete Virtual Machine
      description: Deletes one Virtual Machine by name from the tenant namespace.
      operationId: deleteVirtualMachine
      parameters:
        - description: Tenant namespace returned by Get Account.
          in: path
          name: namespace
          required: true
          schema:
            type: string
        - description: Kubernetes object name for the VirtualMachine.
          in: path
          name: name
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/KubernetesStatus'
          description: Resource deleted
        '202':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/KubernetesStatus'
          description: Deletion accepted
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/KubernetesStatus'
          description: Invalid request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/KubernetesStatus'
          description: Authentication required
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/KubernetesStatus'
          description: Permission denied
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/KubernetesStatus'
          description: Resource not found
        '409':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/KubernetesStatus'
          description: Conflict
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/KubernetesStatus'
          description: Validation failed
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/KubernetesStatus'
          description: Rate limit exceeded
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/KubernetesStatus'
          description: Request failed
        '503':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/KubernetesStatus'
          description: Service unavailable
        '504':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/KubernetesStatus'
          description: Request timed out
      security:
        - MountThorSession:
            - compute:write
components:
  schemas:
    KubernetesStatus:
      additionalProperties: false
      description: Kubernetes API operation result.
      properties:
        apiVersion:
          enum:
            - v1
          type: string
        code:
          format: int32
          maximum: 599
          minimum: 100
          type: integer
        kind:
          enum:
            - Status
          type: string
        message:
          type: string
        reason:
          type: string
        status:
          enum:
            - Success
            - Failure
          type: string
      required:
        - apiVersion
        - kind
        - status
      type: object
  securitySchemes:
    MountThorSession:
      bearerFormat: mt_session
      scheme: bearer
      type: http

````